package com.ss.android.ugc.aweme.shortvideo.model;

import X.Nsg;
import com.bytedance.covode.number.Covode;
import com.google.gson.e;
import com.google.gson.s;

public final class ExtractFramesModelExtKt {
    static {
        Covode.recordClassIndex(111000);
    }

    public static final ExtractFramesModel string2Model(String str) {
        boolean z;
        if (str == null || str.length() == 0) {
            z = true;
        } else {
            z = false;
        }
        ExtractFramesModel extractFramesModel = null;
        if (z) {
            return null;
        }
        try {
            extractFramesModel = (ExtractFramesModel) new e().LIZIZ().LIZ(str, ExtractFramesModel.class);
            return extractFramesModel;
        } catch (s unused) {
            Nsg.LJIIIZ.LJFF().LIZIZ("parser frames data error:\n".concat(String.valueOf(str)));
            return extractFramesModel;
        }
    }
}
